org.apache.hadoop.security.token

## Interface DtFetcher

-     public interface DtFetcher

  DtFetcher is an interface which permits the abstraction and separation of delegation token fetch implementaions across different packages and compilation units. Resolution of fetcher impl will be done at runtime.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token<?>` | `addDelegationTokens(Configuration conf, Credentials creds, String renewer, String url)` Add any number of delegation tokens to Credentials object and return a token instance that is appropriate for aliasing, or null if none.
    `Text` | `getServiceName()` Return a key used to identify the object/service implementation.
    `boolean` | `isTokenRequired()` Used to allow the service API to indicate whether a token is required.

- - ### Method Detail

    - #### getServiceName

          Text getServiceName()

      Return a key used to identify the object/service implementation.

    - #### isTokenRequired

          boolean isTokenRequired()

      Used to allow the service API to indicate whether a token is required.

    - #### addDelegationTokens

          Token<?> addDelegationTokens(Configuration conf,
                                       Credentials creds,
                                       String renewer,
                                       String url)
                                throws Exception

      Add any number of delegation tokens to Credentials object and return a token instance that is appropriate for aliasing, or null if none.
      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.